OpenTTD

SQConvert::HelperT< Tfunc, Tis_void_retval > Struct Template Reference

Helper class to recognize the function type (retval type, args) and use the proper specialization for SQ callback. More...

`#include <squirrel_helper.hpp>`

## Detailed Description

### template<typename Tfunc, bool Tis_void_retval = HasVoidReturnT<Tfunc>::Yes>
struct SQConvert::HelperT< Tfunc, Tis_void_retval >

Helper class to recognize the function type (retval type, args) and use the proper specialization for SQ callback.

The partial specializations for the second arg (Tis_void_retval) are not possible on the function. Therefore the class is used instead.

Definition at line 163 of file squirrel_helper.hpp.

The documentation for this struct was generated from the following file:

- src/script/squirrel_helper.hpp